#
# spec file for package vacuum-im-plugins-dbusnotifications
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright Andrey Karepin <egdfree@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name vacuum-im
Name:           vacuum-im-plugins-dbusnotifications
Summary:        Vacuum-IM notification messages through system DBus
License:        GPL-3.0
Group:          System/Libraries
Version:        1.0.2
Release:        10.1
%if 0%{?suse_version} < 1120
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif
Source:         %{name}-%{version}.tar.bz2
Patch0:         fix_cmake_rules.patch
Url:            http://www.vacuum-im.org/
Requires:       vacuum-im
BuildRequires:  cmake
BuildRequires:  dbus-1-devel
BuildRequires:  fdupes
BuildRequires:  libqt4-devel
BuildRequires:  vacuum-im-devel

%description
The plug-in uses org.freedesktop.Notifications for show of notification messages 

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__mkdir} build
cd build
cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=%{_prefix} -DINSTALL_LIB_DIR=%{_lib} -DINSTALL_APP_DIR=%{app_name} -DINSTALL_DOC_DIR=%{_defaultdocdir}
%{__make} %{?_smp_mflags}

%install
pushd build
%{make_install}
popd

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%dir %{_libdir}/%{app_name}
%{_libdir}/%{app_name}/plugins/
%{_datadir}/%{app_name}

%changelog
* Mon Sep 10 2012 coolo@suse.com
- remove buildrequire on library, already required by -devel
* Tue Jul 31 2012 egdfree@opensuse.org
- update to 1.0.2
  * add settings dialogue
  * update ru translations
* Sat Jul 30 2011 egdfree@opensuse.org
- initial to 1.0.0
